include ../../makefile.dep

LIBDIR= ../../lib/$(HOST)
BINDIR= ../../bin/$(HOST)

INCLUDES      = -I../include  -I../../include

TARGETS =    load_bot load_ctd load_odf

all:	$(TARGETS)

LIBS1	      =  \
		$(LIBDIR)/ioserv$(LIB) \
		$(LIBDIR)/dbsource$(LIB) \
		$(LIBDIR)/use_db$(LIB) \
		$(LIBDIR)/dbsource$(LIB)


load_bot   : $(BINDIR)/load_bot$(EXE)
load_botOBJECTS = load_bot$(OBJ) $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/load_bot$(EXE): $(load_botOBJECTS)
	$(CCLINK) -o $@ $(load_botOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@

load_ctd   : $(BINDIR)/load_ctd$(EXE)
load_ctdOBJECTS = load_ctd$(OBJ) $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/load_ctd$(EXE): $(load_ctdOBJECTS)
	$(CCLINK) -o $@ $(load_ctdOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@

load_odf   : $(BINDIR)/load_odf$(EXE)
load_odfOBJECTS = load_odf$(OBJ) $(LIBDIR)/main_cnt$(OBJ)
$(BINDIR)/load_odf$(EXE): $(load_odfOBJECTS)
	$(CCLINK) -o $@ $(load_odfOBJECTS) $(LIBS1) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@


clean:
	$(RM) $(DIRT)
#
